> For the complete documentation index, see [llms.txt](https://docs.cherax.vip/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.cherax.vip/lua-documentation/api-reference/natives/control.md).

# CONTROL

```
bool IS_CONTROL_ENABLED(int padIndex, int control)
bool IS_CONTROL_PRESSED(int padIndex, int control)
bool IS_CONTROL_RELEASED(int padIndex, int control)
bool IS_CONTROL_JUST_PRESSED(int padIndex, int control)
bool IS_CONTROL_JUST_RELEASED(int padIndex, int control)
float GET_CONTROL_NORMAL(int padIndex, int control)
bool IS_DISABLED_CONTROL_PRESSED(int padIndex, int control)
bool IS_DISABLED_CONTROL_RELEASED(int padIndex, int control)
bool IS_DISABLED_CONTROL_JUST_PRESSED(int padIndex, int control)
bool IS_DISABLED_CONTROL_JUST_RELEASED(int padIndex, int control)
void DISABLE_CONTROL_ACTION(int padIndex, int control, bool disable)
void ENABLE_CONTROL_ACTION(int padIndex, int control, bool enable)
void DISABLE_ALL_CONTROL_ACTIONS(int padIndex)
void ENABLE_ALL_CONTROL_ACTIONS(int padIndex)
bool SET_CONTROL_NORMAL(int padIndex, int control, float amount)
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.cherax.vip/lua-documentation/api-reference/natives/control.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
